Bug 50583 - bad: no bootable floppy
bad: no bootable floppy
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 09:00 EDT by michel FROMENT
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-02 04:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description michel FROMENT 2001-08-01 09:00:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:


How reproducible:
Always

Steps to Reproduce:
1.i log as root , type mkbootdisk --device /dev/fd0 2.4.3-12
2.messages from mkbootdisk: msdos not supported vfat not supported

3.message from mkbootdisk: mksdofs
	

Actual Results:  my floppy is in format dos (i am not sure) but lost+found 
doesn't exist, all files are are in runnable permissions.
and the floppy isn't bootable

Expected Results:  on floppy : the directorys
dev etc boot lost+found 

and an kernel's image vmlinux.2.4.3-12

Additional info:
Comment 1 Matt Wilson 2001-08-01 09:52:30 EDT
Did you just upgrade the kernel version using rpm -Uvh?
Comment 2 michel FROMENT 2001-08-02 04:53:42 EDT
I upgrade the kernel with rpm -Fvh kernel*
 withe the rpm about kernel and headers not src.
Comment 3 michel FROMENT 2001-08-02 04:58:24 EDT
I confirm by changing the release from 7.1 to 7.0 of mkbootdisk, I have solved 
my problem with the floppy (by checking the trace i saw that mkbootdisk(7.0) 
calls mke2fs not mkdosfs), the bug comes from mkbootdisk
Comment 4 Erik Troan 2002-06-03 14:49:53 EDT
what happened is you upgraded your kernel and the kernel then couldn't find
the modules it needed (as they had been removed along with the old kernel!)

you should never install a kernel with -F or -U; always use -i, boot it, and
then remove the old one.

Note You need to log in before you can comment on or make changes to this bug.